package Glycolysis "Glycolysis in Saccharomyces cerevisiae"
  model Cytosol "Cytosolic compartment"
    extends BioChem.Compartments.ConstantCompartment(V(start = 1));
    import BioChem.Math.*;
    import BioChem.Constants.*;

    model Glc_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000005\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A17234\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00293\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end Glc_;

    model ATP_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000006\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A15422\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00002\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end ATP_;

    model G6P_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000007\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A15954\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00092\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end G6P_;

    model ADP_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000008\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A16761\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00008\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end ADP_;

    model F6P_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000009\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A20935\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00085\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end F6P_;

    model FBP_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000010\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A16905\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00354\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end FBP_;

    model GAP_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000011\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A29052\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00118\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end GAP_;

    model DHAP_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000012\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A16108\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00111\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end DHAP_;

    model NAD_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000013\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A15846\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00003\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end NAD_;

    model BPG_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000014\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A16001\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00236\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end BPG_;

    model NADH_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000015\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A16908\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00004\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end NADH_;

    model PEP_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000016\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00074\"/>
        </rdf:Bag>
      </bqbiol:is>
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A18021\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end PEP_;

    model Pyr_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000017\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A15361\"/>
        </rdf:Bag>
      </bqbiol:is>
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00022\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end Pyr_;

    model ACA_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000018\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A15343\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00084\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end ACA_;

    model EtOH_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000019\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A16236\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00469\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end EtOH_;

    model Glyc_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000021\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A17754\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00116\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end Glyc_;

    model AMP_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000025\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A16027\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00020\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end AMP_;

    model vHK_
      extends BioChem.Interfaces.Reactions.Bbi;
      parameter Real V3m = 51.7547;
      parameter Real K3DGlc = 0.37;
      parameter Real K3ATP = 0.1;
      parameter Real K3Glc = 0;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * V3m * s1.c * s2.c / (K3DGlc * K3ATP + K3Glc * s1.c + K3ATP * s2.c + s2.c * s1.c);
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000031\">
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_1318\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:2.7.1.2\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R00299\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end vHK_;

    model vPGI_
      extends BioChem.Interfaces.Reactions.Uur;
      parameter Real V4f = 496.042;
      parameter Real K4G6P = 0.8;
      parameter Real K4F6P = 0.15;
      parameter Real V4r = 496.042;
      parameter Real K4eq = 0.13;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (V4f * s1.c / (K4G6P + s1.c + K4G6P / K4F6P * p1.c) - V4r * (p1.c / K4eq) / (K4G6P + s1.c + K4G6P / K4F6P * p1.c));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000032\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:5.3.1.9\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R00771\"/>
        </rdf:Bag>
      </bqbiol:is>
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_1164\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
    </rdf:Description>
  </rdf:RDF>"));
    end vPGI_;

    model vPFK_
      extends BioChem.Interfaces.Reactions.Bbi;
      extends BioChem.Interfaces.Reactions.Modifiers.Modifier;
      parameter Real V5m = 45.4327;
      parameter Real K5 = 0.021;
      parameter Real kappa5 = 0.15;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (V5m * s1.c ^ 2 / (K5 * (1 + kappa5 * (s2.c / m1.c) * (s2.c / m1.c)) + s1.c ^ 2));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000033\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:2.7.1.11\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R00756\"/>
        </rdf:Bag>
      </bqbiol:is>
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_1840\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
    </rdf:Description>
  </rdf:RDF>"));
    end vPFK_;

    model vALD_
      extends BioChem.Interfaces.Reactions.Ubr;
      parameter Real V6f = 2207.82;
      parameter Real K6FBP = 0.3;
      parameter Real K6DHAP = 2;
      parameter Real K6eq = 0.081;
      parameter Real ratio6 = 5;
      parameter Real K6GAP = 4;
      parameter Real K6IGAP = 10;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (V6f * s1.c / (K6FBP + s1.c + p1.c * K6DHAP * V6f / (K6eq * V6f * ratio6) + p2.c * K6GAP * V6f / (K6eq * V6f * ratio6) + s1.c * p1.c / K6IGAP + p1.c * p2.c * V6f / (K6eq * V6f * ratio6)) - V6f * p1.c * p2.c / K6eq / (K6FBP + s1.c + p1.c * K6DHAP * V6f / (K6eq * V6f * ratio6) + p2.c * K6GAP * V6f / (K6eq * V6f * ratio6) + s1.c * p1.c / K6IGAP + p1.c * p2.c * V6f / (K6eq * V6f * ratio6)));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000034\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:4.1.2.13\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R01070\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end vALD_;

    model vTIM_
      extends BioChem.Interfaces.Reactions.Uur;
      parameter Real V7f = 116.365;
      parameter Real K7DHAP = 1.23;
      parameter Real K7GAP = 1.27;
      parameter Real V7r = 116.365;
      parameter Real K7eq = 0.055;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (V7f * s1.c / (K7DHAP + s1.c + K7DHAP / K7GAP * p1.c) - V7r * (p1.c / K7eq) / (K7DHAP + s1.c + K7DHAP / K7GAP * p1.c));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000035\">
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_1693\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:5.3.1.1\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R01015\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end vTIM_;

    model vGAPDH_
      extends BioChem.Interfaces.Reactions.Bbr;
      parameter Real V8f = 833.858;
      parameter Real K8GAP = 0.6;
      parameter Real K8NAD = 0.1;
      parameter Real K8BPG = 0.01;
      parameter Real K8NADH = 0.06;
      parameter Real V8r = 833.858;
      parameter Real K8eq = 0.0055;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (V8f * s1.c * s2.c / K8GAP / K8NAD / ((1 + s1.c / K8GAP + p2.c / K8BPG) * (1 + s2.c / K8NAD + p1.c / K8NADH)) - V8r * p2.c * p1.c / K8eq / K8GAP / K8NAD / ((1 + s1.c / K8GAP + p2.c / K8BPG) * (1 + s2.c / K8NAD + p1.c / K8NADH)));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000036\">
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_587\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:1.2.1.12\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R01061\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end vGAPDH_;

    model vlpPEP_
      extends BioChem.Interfaces.Reactions.Bbr;
      parameter Real k9f = 443866;
      parameter Real k9r = 1528.62;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (k9f * s1.c * s2.c - k9r * p1.c * p2.c);
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000037\">
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_1771\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R01512\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R01518\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R00658\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:2.7.2.3\"/>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:5.4.2.1\"/>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:4.2.1.11\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
    </rdf:Description>
  </rdf:RDF>"));
    end vlpPEP_;

    model vPK_
      extends BioChem.Interfaces.Reactions.Bbi;
      parameter Real V10m = 343.096;
      parameter Real K10PEP = 0.2;
      parameter Real K10ADP = 0.17;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (V10m * s1.c * s2.c / ((K10PEP + s2.c) * (K10ADP + s1.c)));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000038\">
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_1911\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:2.7.1.40\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R00200\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end vPK_;

    model vPDC_
      extends BioChem.Interfaces.Reactions.Uui;
      parameter Real V11m = 53.1328;
      parameter Real K11 = 0.3;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (V11m * s1.c / (K11 + s1.c));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000039\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:4.1.1.1\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R00224\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end vPDC_;

    model vADH_
      extends BioChem.Interfaces.Reactions.Bbi;
      parameter Real V12m = 89.8023;
      parameter Real K12NADH = 0.1;
      parameter Real K12ACA = 0.71;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (V12m * s2.c * s1.c / ((K12NADH + s1.c) * (K12ACA + s2.c)));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000040\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:1.1.1.1\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R00754\"/>
        </rdf:Bag>
      </bqbiol:is>
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_799\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
    </rdf:Description>
  </rdf:RDF>"));
    end vADH_;

    model vlpGlyc_
      extends BioChem.Interfaces.Reactions.Bbi;
      parameter Real V15m = 81.4797;
      parameter Real K15DHAP = 25;
      parameter Real K15INADH = 0.034;
      parameter Real K15INAD = 0.13;
      parameter Real K15NADH = 0.13;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (V15m * s1.c / (K15DHAP * (1 + K15INADH / s2.c * (1 + p2.c / K15INAD)) + s1.c * (1 + K15NADH / s2.c * (1 + p2.c / K15INAD))));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000043\">
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R01034\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.reaction:R01011\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:1.1.1.6\"/>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:2.7.1.29\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
    </rdf:Description>
  </rdf:RDF>"));
    end vlpGlyc_;

    model vstorage_
      extends BioChem.Interfaces.Reactions.Bui;
      parameter Real k22 = 2.25932;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * k22 * s1.c * s2.c;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000050\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0043211\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end vstorage_;

    model vconsum_
      extends BioChem.Interfaces.Reactions.Uui;
      parameter Real k23 = 3.2076;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * k23 * s1.c;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000051\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0006200\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end vconsum_;

    model vAK_
      extends BioChem.Interfaces.Reactions.Bur(nP1 = 2);
      parameter Real k24f = 432.9;
      parameter Real k24r = 133.333;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = cytosol_V * (k24f * s2.c * s1.c - k24r * p1.c ^ 2);
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000052\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:ec-code:2.7.4.3\"/>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0004017\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end vAK_;

    inner Real cytosol_V = V "Variable used to make the compartment volume accessible for inner components. Do not edit.";
    Glc_ Glc(c(start = 0.573074 / 1000, stateSelect = StateSelect.always)) "Cytosolic glucose" annotation(Placement(visible = true, transformation(origin = {-12.6729, 120.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    ATP_ ATP(c(start = 2.1 / 1000, stateSelect = StateSelect.always)) "ATP" annotation(Placement(visible = true, transformation(origin = {-70.0, 80.0}, extent = {{-10.0, 10.0}, {10.0, -10.0}}, rotation = 0)));
    G6P_ G6P(c(start = 4.2 / 1000, stateSelect = StateSelect.always)) "Glucose-6-Phosphate" annotation(Placement(visible = true, transformation(origin = {10.0, 80.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -1350)));
    ADP_ ADP(c(start = 1.5 / 1000, stateSelect = StateSelect.always)) "ADP" annotation(Placement(visible = true, transformation(origin = {-70.0, 40.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -450)));
    F6P_ F6P(c(start = 0.49 / 1000, stateSelect = StateSelect.always)) "Fructose-6-Phosphate" annotation(Placement(visible = true, transformation(origin = {10.0, 40.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -270)));
    FBP_ FBP(c(start = 4.64 / 1000, stateSelect = StateSelect.always)) "Fructose 1,6-bisphosphate" annotation(Placement(visible = true, transformation(origin = {10.0, 0.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -270)));
    GAP_ GAP(c(start = 0.115 / 1000, stateSelect = StateSelect.always)) "Glyceraldehyde 3-phosphate" annotation(Placement(visible = true, transformation(origin = {-10.0, -40.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    DHAP_ DHAP(c(start = 2.95 / 1000, stateSelect = StateSelect.always)) "Dihydroxyacetone phosphate" annotation(Placement(visible = true, transformation(origin = {30.0, -40.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -1080)));
    NAD_ NAD(c(start = 0.65 / 1000, stateSelect = StateSelect.always)) "NAD" annotation(Placement(visible = true, transformation(origin = {74.5977, -70.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
    BPG_ BPG(c(start = 0.00027 / 1000, stateSelect = StateSelect.always)) "1,3-Bisphosphoglycerate" annotation(Placement(visible = true, transformation(origin = {-50.0, -40.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
    NADH_ NADH(c(start = 0.33 / 1000, stateSelect = StateSelect.always)) "NADH" annotation(Placement(visible = true, transformation(origin = {20.0, -80.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
    PEP_ PEP(c(start = 0.04 / 1000, stateSelect = StateSelect.always)) "Phosphoenolpyruvate" annotation(Placement(visible = true, transformation(origin = {-80.0, -40.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    Pyr_ Pyr(c(start = 8.7 / 1000, stateSelect = StateSelect.always)) "Pyruvate" annotation(Placement(visible = true, transformation(origin = {-60.0, -90.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    ACA_ ACA(c(start = 1.48153 / 1000, stateSelect = StateSelect.always)) "Acetaldehyde" annotation(Placement(visible = true, transformation(origin = {-20.0, -90.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    EtOH_ EtOH(c(start = 19.2379 / 1000, stateSelect = StateSelect.always)) annotation(Placement(visible = true, transformation(origin = {0.0, -130.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    Glyc_ Glyc(c(start = 4.196 / 1000, stateSelect = StateSelect.always)) "Glycerol" annotation(Placement(visible = true, transformation(origin = {74.5977, -30.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
    AMP_ AMP(c(start = 0.33 / 1000, stateSelect = StateSelect.always)) "AMP" annotation(Placement(visible = true, transformation(origin = {30.0, 20.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
    BioChem.Interfaces.Nodes.SubstanceConnector Glc_node annotation(Placement(visible = true, transformation(origin = {-30.0, 120.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0), iconTransformation(origin = {-110.0, -0.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    BioChem.Interfaces.Nodes.SubstanceConnector G6P_node annotation(Placement(visible = true, transformation(origin = {40.0, 80.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0), iconTransformation(origin = {-50.0, 110.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    vHK_ vHK(V3m = 51.7547 / 1000 / 60, K3DGlc = 0.37 / 1000, K3ATP = 0.1 / 1000) "Hexokinase" annotation(Placement(visible = true, transformation(origin = {10.0, 100.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -90)));
    vPGI_ vPGI(V4f = 496.042 / 1000 / 60, V4r = 496.042 / 1000 / 60, K4G6P = 0.8 / 1000, K4F6P = 0.15 / 1000) "Phosphoglucoisomerase" annotation(Placement(visible = true, transformation(origin = {10.0, 60.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -90)));
    vPFK_ vPFK(K5 = 0.021 / 1000000, V5m = 45.4327 / 1000 / 60) "Phosphofructokinase" annotation(Placement(visible = true, transformation(origin = {10.0, 20.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -90)));
    vALD_ vALD(V6f = 2207.82 / 1000 / 60, K6eq = 0.081 / 1000, K6IGAP = 10 / 1000, K6GAP = 4 / 1000, K6FBP = 0.3 / 1000, K6DHAP = 2 / 1000) "Aldolase" annotation(Placement(visible = true, transformation(origin = {10.0, -20.0}, extent = {{10.0, -10.0}, {-10.0, 10.0}}, rotation = 810)));
    vTIM_ vTIM(V7f = 116.365 / 1000 / 60, V7r = 116.365 / 1000 / 60, K7GAP = 1.27 / 1000, K7DHAP = 1.23 / 1000) "Triosephosphate isomerase" annotation(Placement(visible = true, transformation(origin = {10.0, -40.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -180)));
    vGAPDH_ vGAPDH(V8f = 833.858 / 1000 / 60, K8eq = 0.0055, K8NADH = 0.06 / 1000, K8NAD = 0.1 / 1000, K8GAP = 0.6 / 1000, K8BPG = 0.01 / 1000, V8r = 833.858 / 1000 / 60) "Glyceraldehyde 3-phosphate dehydrogenase" annotation(Placement(visible = true, transformation(origin = {-20.0, -62.8222}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -90)));
    vlpPEP_ vlpPEP(k9f = 443866 * 1000 / 60, k9r = 1528.62 * 1000 / 60) "Phosphoenolpyruvate synthesis" annotation(Placement(visible = true, transformation(origin = {-80.0, -12.2214}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -90)));
    vPK_ vPK(V10m = 343.096 / 1000 / 60, K10PEP = 0.2 / 1000, K10ADP = 0.17 / 1000) "Pyruvate kinase" annotation(Placement(visible = true, transformation(origin = {-90.0, -70.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -450)));
    vPDC_ vPDC(K11 = 0.3 / 1000, V11m = 53.1328 / 1000 / 60) "Pyruvate decarboxylase" annotation(Placement(visible = true, transformation(origin = {-40.0, -90.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    vADH_ vADH(V12m = 89.8023 / 1000 / 60, K12NADH = 0.1 / 1000, K12ACA = 0.71 / 1000) "Alcohol dehydrogenase" annotation(Placement(visible = true, transformation(origin = {10.0, -110.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -450)));
    BioChem.Interfaces.Nodes.SubstanceConnector EtOH_node annotation(Placement(visible = true, transformation(origin = {-20.0, -130.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0), iconTransformation(origin = {110.0, 50.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    vlpGlyc_ vlpGlyc(V15m = 81.4797 / 1000 / 60, K15NADH = 0.13 / 1000, K15INADH = 0.034 / 1000, K15INAD = 0.13 / 1000, K15DHAP = 25 / 1000) "Glycerol synthesis" annotation(Placement(visible = true, transformation(origin = {54.5977, -50.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
    BioChem.Interfaces.Nodes.SubstanceConnector Glyc_node annotation(Placement(visible = true, transformation(origin = {94.5977, -30.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0), iconTransformation(origin = {50.0, 110.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    BioChem.Interfaces.Nodes.SubstanceConnector ACA_node annotation(Placement(visible = true, transformation(origin = {-20.0, -110.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0), iconTransformation(origin = {110.0, -50.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = 0)));
    vstorage_ vstorage(k22 = 2.25932 * 1000 / 60) "Storage" annotation(Placement(visible = true, transformation(origin = {-30.0, 58.3908}, extent = {{10.0, -10.0}, {-10.0, 10.0}}, rotation = 90)));
    vconsum_ vconsum(k23 = 3.2076 / 60) "ATP consumption" annotation(Placement(visible = true, transformation(origin = {-70.0, 60.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -90)));
    vAK_ vAK(k24f = 432.9 * 1000 / 60, k24r = 133.333 * 1000 / 60) "Adenylate kinase" annotation(Placement(visible = true, transformation(origin = {50.0, 60.0}, extent = {{-10.0, 10.0}, {10.0, -10.0}}, rotation = 540)));
  equation
    connect(EtOH.n1, EtOH_node) annotation(Line(visible = true, origin = {-6.667, -130}, points = {{6.667, 0}, {6.667, 0}, {-13.333, 0}}, color = {26, 118, 164}));
    connect(ACA.n1, ACA_node) annotation(Line(visible = true, origin = {-20, -103.333}, points = {{0, 13.333}, {0, -6.667}, {0, -6.667}}, color = {26, 118, 164}));
    connect(Glyc.n1, Glyc_node) annotation(Line(visible = true, origin = {81.264, -30}, points = {{-6.666, 0}, {-6.667, 0}, {13.334, 0}}, color = {26, 118, 164}));
    connect(G6P.n1, G6P_node) annotation(Line(visible = true, origin = {25, 80}, points = {{-15, 0}, {15, 0}}, color = {26, 118, 164}));
    connect(Glc.n1, Glc_node) annotation(Line(visible = true, origin = {-18.449, 120}, points = {{5.776, 0}, {5.776, 0}, {-11.551, 0}}, color = {26, 118, 164}));
    connect(F6P.n1, vPGI.p1) annotation(Line(visible = true, origin = {10, 45.833}, points = {{0, -5.833}, {0, 2.917}, {0, 2.917}}, color = {26, 118, 164}));
    connect(F6P.n1, vPFK.s1) annotation(Line(visible = true, origin = {11.667, 34.167}, points = {{-1.667, 5.833}, {-1.667, -2.917}, {3.333, -2.917}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ADP.n1, vAK.p1) annotation(Line(visible = true, origin = {-12.812, 50}, points = {{-57.188, -10}, {2.812, -10}, {2.812, 10}, {51.562, 10}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ATP.n1, vAK.s1) annotation(Line(visible = true, origin = {-4.375, 108.326}, points = {{-65.625, -28.326}, {-65.625, 35.826}, {65.625, 35.826}, {65.625, -43.326}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(AMP.n1, vAK.s2) annotation(Line(visible = true, origin = {49.95, 39.2}, points = {{-19.95, -19.2}, {-19.95, -6.2}, {14.3, -6.2}, {14.3, 15.8}, {11.3, 15.8}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(NAD.n1, vADH.p1) annotation(Line(visible = true, origin = {36.25, -112.812}, points = {{38.348, 42.812}, {38.348, -14.461}, {-16.25, -17.188}, {-21.25, -8.438}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ATP.n1, vPK.p2) annotation(Line(visible = true, origin = {-91.25, -0.625}, points = {{21.25, 80.625}, {-8.75, 80.625}, {-8.75, -80.625}, {-3.75, -80.625}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ADP.n1, vstorage.p1) annotation(Line(visible = true, origin = {-43.333, 42.38}, points = {{-26.667, -2.38}, {13.333, -2.38}, {13.333, 4.761}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(G6P.n1, vstorage.s2) annotation(Line(visible = true, origin = {-13.333, 76.547}, points = {{23.333, 3.453}, {-11.667, 3.453}, {-11.667, -6.906}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ADP.n1, vHK.p2) annotation(Line(visible = true, origin = {114.928, 91.997}, points = {{-184.928, -51.997}, {-174.928, -51.997}, {-124.928, -51.997}, {-124.928, -3.247}, {-109.928, -3.247}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ATP.n1, vPFK.s2) annotation(Line(visible = true, origin = {-47.05, 78.274}, points = {{-22.95, 1.726}, {-22.95, 1.726}, {-8.147, 1.726}, {-2.95, -46.76}, {20.327, -46.76}, {54.286, -46.76}, {52.05, -47.024}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ATP.n1, vstorage.s1) annotation(Line(visible = true, origin = {-46.667, 76.547}, points = {{-23.333, 3.453}, {11.667, 3.453}, {11.667, -6.906}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(PEP.n1, vPK.s2) annotation(Line(visible = true, origin = {-91.25, -48.625}, points = {{11.25, 8.625}, {-3.75, 8.625}, {-3.75, -7.125}, {-3.75, -10.125}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ADP.n1, vPK.s1) annotation(Line(visible = true, origin = {-77.5, -32.562}, points = {{7.5, 72.562}, {7.5, -23.188}, {-7.5, -23.188}, {-7.5, -26.188}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(Pyr.n1, vPK.p1) annotation(Line(visible = true, origin = {-76.667, -87.083}, points = {{16.667, -2.917}, {-8.333, -2.917}, {-8.333, 5.833}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(FBP.n1, vALD.s1) annotation(Line(visible = true, origin = {10, -1.994}, points = {{0, 1.994}, {0, -6.756}}, color = {26, 118, 164}));
    connect(GAP.n1, vALD.p1) annotation(Line(visible = true, origin = {-5, -34.167}, points = {{-5, -5.833}, {-5, 2.917}, {10, 2.917}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(DHAP.n1, vALD.p2) annotation(Line(visible = true, origin = {25, -34.167}, points = {{5, -5.833}, {5, 2.917}, {-10, 2.917}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(NADH.n1, vADH.s1) annotation(Line(visible = true, origin = {16.25, -92.562}, points = {{3.75, 12.562}, {-3.75, 9.994}, {-1.25, -1.866}, {-1.25, -6.188}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ACA.n1, vADH.s2) annotation(Line(visible = true, origin = {-1.667, -92.917}, points = {{-18.333, 2.917}, {6.667, 2.917}, {6.667, -5.833}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(NAD.n1, vGAPDH.s2) annotation(Line(visible = true, origin = {-18.125, -74.875}, points = {{92.723, 4.875}, {92.723, -65.125}, {-51.875, -65.125}, {-51.875, 14.875}, {-21.875, 14.875}, {-19.975, 34.875}, {-6.875, 34.875}, {-6.875, 23.303}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(GAP.n1, vGAPDH.s1) annotation(Line(visible = true, origin = {-13.333, -43.857}, points = {{3.333, 3.857}, {-1.667, 3.857}, {-1.667, -7.715}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(DHAP.n1, vlpGlyc.s1) annotation(Line(visible = true, origin = {38.047, -43.75}, points = {{-8.047, 3.75}, {-1.553, -1.25}, {4.3, -1.25}, {5.301, -1.25}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(GAP.n1, vTIM.p1) annotation(Line(visible = true, points = {{-10, -40}, {-1.25, -40}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(DHAP.n1, vTIM.s1) annotation(Line(visible = true, points = {{30, -40}, {21.25, -40}}, color = {26, 118, 164}));
    connect(NADH.n1, vlpGlyc.s2) annotation(Line(visible = true, origin = {31.116, -63.333}, points = {{-11.116, -16.667}, {-1.116, 8.333}, {12.232, 8.333}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(Glyc.n1, vlpGlyc.p1) annotation(Line(visible = true, origin = {71.681, -41.667}, points = {{2.917, 11.667}, {2.917, -3.333}, {-5.833, -3.333}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(NAD.n1, vlpGlyc.p2) annotation(Line(visible = true, origin = {71.681, -58.333}, points = {{2.917, -11.667}, {2.917, 3.333}, {-5.833, 3.333}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(BPG.n1, vlpPEP.s1) annotation(Line(visible = true, origin = {-63.75, -8.765}, points = {{13.75, -31.235}, {13.75, 10.794}, {-11.25, 12.545}, {-11.25, 7.794}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ADP.n1, vlpPEP.s2) annotation(Line(visible = true, origin = {-76.25, 28.991}, points = {{6.25, 11.009}, {6.25, -20.524}, {-8.75, -20.524}, {-8.75, -29.962}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(NADH.n1, vGAPDH.p1) annotation(Line(visible = true, origin = {-5, -78.024}, points = {{25, -1.976}, {-10, -1.976}, {-10, 3.952}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(BPG.n1, vGAPDH.p2) annotation(Line(visible = true, origin = {-36.25, -69.982}, points = {{-13.75, 29.982}, {-13.75, -10.018}, {11.25, -10.018}, {11.25, -4.09}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ADP.n1, vconsum.p1) annotation(Line(visible = true, origin = {-70, 45.833}, points = {{0, -5.833}, {0, 2.917}, {0, 2.917}}, color = {26, 118, 164}));
    connect(ADP.n1, vPFK.p2) annotation(Line(visible = true, origin = {-50.958, 48.221}, points = {{-19.042, -8.221}, {-19.042, 51.779}, {-19.042, -39.471}, {55.958, -39.471}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(AMP.n1, vPFK.m1) annotation(Line(visible = true, origin = {26.667, 20}, points = {{3.333, 0}, {3.333, 0}, {-6.667, 0}}, color = {26, 118, 164}));
    connect(G6P.n1, vPGI.s1) annotation(Line(visible = true, origin = {10, 74.167}, points = {{0, 5.833}, {0, -2.917}, {0, -2.917}}, color = {26, 118, 164}));
    connect(G6P.n1, vHK.p1) annotation(Line(visible = true, origin = {11.667, 85.833}, points = {{-1.667, -5.833}, {-1.667, 2.917}, {3.333, 2.917}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ATP.n1, vHK.s1) annotation(Line(visible = true, origin = {-32.153, 128.889}, points = {{-37.847, -48.889}, {-37.847, -50.625}, {-37.847, 11.111}, {47.153, 11.111}, {47.153, -17.639}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(Glc.n1, vHK.s2) annotation(Line(visible = true, origin = {-0.891, 117.083}, points = {{-11.782, 2.917}, {5.891, 2.917}, {5.891, -5.833}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ATP.n1, vlpPEP.p2) annotation(Line(visible = true, origin = {-109.087, 67.88}, points = {{39.087, 12.12}, {19.087, 12.12}, {19.087, -37.88}, {19.087, -72.113}, {19.087, -91.351}, {24.087, -91.351}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ATP.n1, vconsum.s1) annotation(Line(visible = true, origin = {-70, 74.167}, points = {{0, 5.833}, {0, -2.917}, {0, -2.917}}, color = {26, 118, 164}));
    connect(EtOH.n1, vADH.p2) annotation(Line(visible = true, origin = {2.5, -124.167}, points = {{-2.5, -5.833}, {-2.5, 2.917}, {2.5, 2.917}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(Pyr.n1, vPDC.s1) annotation(Line(visible = true, origin = {-57.083, -90}, points = {{-2.917, 0}, {-2.917, 0}, {5.833, 0}}, color = {26, 118, 164}));
    connect(ACA.n1, vPDC.p1) annotation(Line(visible = true, origin = {-22.917, -90}, points = {{2.917, 0}, {2.917, 0}, {-5.833, 0}}, color = {26, 118, 164}));
    connect(FBP.n1, vPFK.p1) annotation(Line(visible = true, origin = {10.833, 5.833}, points = {{-0.833, -5.833}, {-0.833, 2.917}, {4.167, 2.917}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(PEP.n1, vlpPEP.p1) annotation(Line(visible = true, origin = {-78.75, -29.104}, points = {{-1.25, -10.896}, {-1.25, 2.632}, {1.25, 2.632}, {3.75, 5.633}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    annotation(experiment(StopTime = 10), __Wolfram(PlotSet(plots = {Plot(name = "concentrations of NAD and NADH", preferred = true, subPlots = {SubPlot(curves = {Curve(x = time, y = NADH.c), Curve(x = time, y = NAD.c)})})})), Documentation(info = "<html><!--WSMINSERTIONTAGSTART Cytosol -->
   <head>
   <style type=\"text/css\">
   
  body {
   padding: 0px;
   margin: 0px;
  }
  
  a {
   color: #cf1d24;
  }
  
  a.target {
   padding-top: 40px;
   margin-top: -40px;
  }
  
  p {
   font-family: arial;
   font-size: 13;
   margin: 9px 40px 5px 40px;
   padding-bottom: 0px;
   color: #555555;
   max-width: 800px;
  }
  
  h1 {
   font-size: 30;
   color: #cf1d24;
   font-weight: bold;
   margin-left: 20px;
   margin-top: 32px;
   margin-bottom: 15px;
   margin-right: 20px;
   padding-top: 0px;
  }
  
  h2 {
   font-size: 20;
   color: #cf1d24;
   font-weight: bold;
   margin-left: 20px;
   margin-right: 20px;
   margin-top: 5px;
   margin-bottom: 9px;
  }
  
  h3 {
   background: url('DocumentationFiles/dingbat3.png') no-repeat 0 0;
   font-size: 14px;
   font-family: helvetica;
   color: #4B4B4B;
   font-weight: bold;
   padding-left: 18px;
   margin-left: 20px;
   margin-right: 20px;
   margin-top: 12px;
   margin-bottom: 8px;
  }
  
  ul {
   font-family: arial;
   font-size: 13;
   margin: 9px 40px 5px 40px;
   padding-bottom: 0px;
   color: #555555;
   max-width: 800px;
   list-style-type: square;
  }
  
  li {
   margin-left: 0px;
   margin-top: 4px;
   margin-bottom: 2px;
   padding-left: 0px;
  }

  div.header {
   background: url('DocumentationFiles/WSMLogo.png') no-repeat 0 0;
   height: 96px;
   margin-top: 35px;
   background-color: #871613;
  }
  
  .headerspan {
   font-family: arial;
   text-decoration: none;
   font-size: 12px;
   font-weight: bold;
   display: inline-block;
   height: 35px;
   color: gray;
   padding: 0px;
   margin: 0px;
   margin-left: 20px;
  }
  
  .headera {
   font-family: arial;
   text-decoration: none;
   font-size: 12px;
   font-weight: bold;
   padding: 0px;
   color: inherit;
   vertical-align: middle;
   margin: 0px;
  }
  
  .headerlinkdiv {
   background: black;
   padding: 0px;
   height: 35px;
   margin: 0px;
   position: fixed; top: 0px; left: 0px; width: 100%;
  }
  
  .contenttable {
   -webkit-box-shadow: 3px 3px 3px #DDDDDD;
   border-top: 3px solid #cf1d24;
   background: #f9f9f9;
   max-width: 500px;
   margin: 15px 15px 0px 20px;
   padding: 6px 10px 3px 10px;
  }
  
  .contenttableheader {
   color: #a4a4a4;
   font-size: 14px;
   font-family: arial;
  }
  
  .contenttabletable {
   border: 0px solid #FFFFFF;
   padding: 0px;
   padding-left: 20px;
  }
  
  .contenttable tr td {
   padding: 3px;
   min-width: 200px;
  }
  
  .contenttable tr td a {
   color: #555555;
   text-decoration: none;
   font-size: 13px;
   font-family: arial;
  }
  
  .hacek {
   color: #cf1d24;
   font-size: 25px;
   font-weight: plain;
   vertical-align: -40%;
  }
  
  .mathematicapointerwrapper {
   border: 0px solid #DDDDDD;
   margin: 15px 15px 15px 40px;
   padding: 0px;
   max-width: 500px;
  }
  
  .mathematicapointertop {
   border: 1px solid #DDDDDD;
   background-color: #F2F2F2;
   padding: 0px;
   max-width: 500px;
   height: 4px;
  }
  
  .mathematicapointerdiv {
   background: url('./DocumentationFiles/mathematicabook.png') no-repeat  left center;
   border: 1px solid #DDDDDD;
   background-color: #FFFFFF;
   margin: 0px;
   padding: 15px 9px 9px 89px;
   max-width: 500px;
   min-height: 67px;
  }
  
  p.mathematicapointer {
   padding: 0px;
   margin: 0px;
   font-size: 12px;
  }
  
  .infoboxwrapper {
   border: 0px solid #DDDDDD;
   -webkit-box-shadow: 3px 3px 3px #DDDDDD;
   margin: 15px 15px 15px 40px;
   padding: 0px;
   max-width: 500px;
  }
  
  .infoboxtop {
   background: url('./DocumentationFiles/infotick.png') no-repeat left center;
   border: 1px solid #DDDDDD;
   background-color: #F2F2F2;
   padding: 0px;
   max-width: 500px;
   height: 37px;
  }
  
  div.infobox {
   border: 1px solid #DDDDDD;
   background-color: #FFFFFF;
   margin: 0px;
   padding: 15px;
   max-width: 500px;
  }
  
  p.infobox {
   padding: 0px;
   margin: 0px;
   font-size: 12px;
  }
  
  h2.legal {
   font-family: arial;
   font-size: 14;
   color: #cf1d24;
   margin: 15px 15px 15px 20px;
   font-weight: bold;
  }
  
  h3.legal {
   background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
   font-family: arial;
   font-size: 12;
   color: #808080;
   margin-left: 38px;
   padding-left: 12px;
   font-weight: bold;
  }
  
  ul.legal {
   font-size: 10px;
   font-family: arial;
   color: #555555;
   margin-left: 28px;
  }
  
  ul.legal li {
   margin-left: 0px;
   margin-top: 4px;
   margin-bottom: 2px;
   padding-left: 0px;
  }

  ul.imgbullets li {
   margin-left: -40px;
   margin-top: 4px;
   margin-bottom: 10px;
   padding-left: 30px;
   list-style-type: none;
  }
  
  p.legallarge {
   font-size: 12px;
   margin-left: 38px;
  }
  
  p.legalsmall {
   font-size: 11px;
   margin-left: 38px;
   padding-left: 12px;
  }
  
  .legalend {
   height: 10px;
  }
  
  .variablename {
   font-family: Courier New, Courier;
  }
  
  .dialogelement {
   font-weight: bold;
  }
  
  .menuitem {
   font-weight: bold;
  }
  
  .mr {
   font-family: Courier New, Courier;
  }
  
  .ttable {
	border-collapse: collapse;
    width: 100%;
	}

	.ttable td, th {
    border: 1px solid #dddddd;
    text-align: left;
	padding: 8px;
	}

	.ttable tr:nth-child(even) {
		background-color: #dddddd;
	}
  
   </style>
   </head>
   <body>
   
  <div class=\"headerlinkdiv\">
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
   padding-left: 24px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
   \"><a href=\"https://www.wolfram.com/system-modeler/examples/\" class=\"headera\">More Examples</a></span>
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
   padding-left: 29px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
   \"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
   padding-left: 20px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
   \"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
   padding-left: 24px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
   \"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
  </div> <div class=\"header\">&nbsp;</div> <h1>Glycolysis: Study Oscillations in Yeast Cells</h1><a id=\"headerTag_Description\" class=\"target\">&nbsp;</a>
    <h2>Description</h2>
    <p class=\"\">
Model of the cytosolic glycolysis compartment used in the main <a href=\"modelica://Glycolysis.GlycolysisModel\">glycolysis model</a>.
</p><p class=\"\">
View the <a href=\"modelica://Glycolysis.Cytosol#diagram\">model diagram</a> for this model.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
   if(document.getElementById('legalSection').style.display == 'none'){
   document.getElementById('legalSection').style.display = 'block';
   document.getElementById('showlegalSection').style.display = 'none';
   document.getElementById('hidelegalSection').style.display = 'inline';
   } else {
   document.getElementById('legalSection').style.display = 'none';
   document.getElementById('showlegalSection').style.display = 'inline';
   document.getElementById('hidelegalSection').style.display = 'none';
   };
   return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"./DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"showlegalSection\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"./DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hidelegalSection\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
    <span id=\"legalSection\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
    <span id=\"legalSection\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
    <span id=\"legalSection\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
        <a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
        <a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
   </body>
   <!--WSMINSERTIONTAGEND Cytosol --></html>", revisions = ""), Diagram(coordinateSystem(extent = {{-105.0, -148.5}, {105.0, 148.5}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10, 10}), graphics), Icon(coordinateSystem(extent = {{-100.0, -100.0}, {100.0, 100.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10, 10}), graphics = {Text(visible = true, fillPattern = FillPattern.Solid, extent = {{-86.4857, -35.8841}, {86.4857, 35.8841}}, textString = "Cytosol", fontName = "Arial")}), __MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000060\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0005829\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
  end Cytosol;

  model GlycolysisModel "Main model - Extracellular compartment"
    extends BioChem.Compartments.ConstantCompartment(V(start = 1), mainCompartment = true);
    import BioChem.Math.*;
    import BioChem.Constants.*;

    model GlcX_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000004\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A17234\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00293\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end GlcX_;

    model EtOHX_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000020\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A16236\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C000469\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end EtOHX_;

    model GlycX_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000022\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A17754\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00116\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end GlycX_;

    model ACAX_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000023\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A15343\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00084\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end ACAX_;

    model CNX_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000024\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A17514\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00177\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end CNX_;

    model P_
      extends BioChem.Substances.BoundarySubstance;
    end P_;

    model CNX0_
      extends BioChem.Substances.BoundarySubstance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000027\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A17514\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00177\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end CNX0_;

    model GlcX0_
      extends BioChem.Substances.BoundarySubstance;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000028\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A17234\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00293\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end GlcX0_;

    model vinGlc_
      extends BioChem.Interfaces.Reactions.Uur;
      parameter Real k0 = 0.048;
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = extracellular_V * k0 * (s1.c - p1.c);
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000029\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0015758\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end vinGlc_;

    model vGlcTrans_
      extends BioChem.Interfaces.Reactions.Uur(nP1 = 59);
      extends BioChem.Interfaces.Reactions.Modifiers.Modifier;
      parameter Real V2f = 1014.96;
      parameter Real Yvol = 59;
      parameter Real K2Glc = 1.7;
      parameter Real P2 = 1;
      parameter Real K2IG6P = 1.2;
      parameter Real K2IIG6P = 7.2;
      parameter Real V2r = 1014.96;
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = extracellular_V * V2f / Yvol * (s1.c / K2Glc / (1 + s1.c / K2Glc + (P2 * (s1.c / K2Glc) + 1) / (P2 * (p1.c / K2Glc) + 1) * (1 + p1.c / K2Glc + m1.c / K2IG6P + p1.c * m1.c / (K2Glc * K2IIG6P)))) - cytosol_V * V2r / Yvol * (p1.c / K2Glc / (1 + p1.c / K2Glc + (P2 * (p1.c / K2Glc) + 1) / (P2 * (s1.c / K2Glc) + 1) * (1 + s1.c / K2Glc) + m1.c / K2IG6P + p1.c * m1.c / (K2Glc * K2IIG6P)));
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000030\">
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_212\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0046323\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end vGlcTrans_;

    model vdifEtOH_
      extends BioChem.Interfaces.Reactions.Uur(nS1 = 59);
      parameter Real k13 = 16.72;
      parameter Real Yvol = 59;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = k13 / Yvol * (cytosol_V * s1.c - extracellular_V * p1.c);
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000041\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0015850\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end vdifEtOH_;

    model voutEtOH_
      extends BioChem.Interfaces.Reactions.Uui;
      parameter Real k0 = 0.048;
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = extracellular_V * k0 * s1.c;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000042\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0015850\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end voutEtOH_;

    model vdifGlyc_
      extends BioChem.Interfaces.Reactions.Uur(nS1 = 59);
      parameter Real k16 = 1.9;
      parameter Real Yvol = 59;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = k16 / Yvol * (cytosol_V * s1.c - extracellular_V * p1.c);
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000044\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0015850\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end vdifGlyc_;

    model voutGlyc_
      extends BioChem.Interfaces.Reactions.Uui;
      parameter Real k0 = 0.048;
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = extracellular_V * k0 * s1.c;
      annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000045\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0015850\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end voutGlyc_;

    model vdifACA_
      extends BioChem.Interfaces.Reactions.Uur(nS1 = 59);
      parameter Real k18 = 24.7;
      parameter Real Yvol = 59;
      outer Real cytosol_V "Variable used to access the volume of an outer compartment. Do not edit.";
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = k18 / Yvol * (cytosol_V * s1.c - extracellular_V * p1.c);
    end vdifACA_;

    model voutACA_
      extends BioChem.Interfaces.Reactions.Uui;
      parameter Real k0 = 0.048;
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = extracellular_V * k0 * s1.c;
    end voutACA_;

    model vlacto_
      extends BioChem.Interfaces.Reactions.Bui;
      parameter Real k20 = 0.00283828;
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = extracellular_V * k20 * s2.c * s1.c;
    end vlacto_;

    model vinCN_
      extends BioChem.Interfaces.Reactions.Uur;
      parameter Real k0 = 0.048;
      outer Real extracellular_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation
      rr = extracellular_V * k0 * (s1.c - p1.c);
    end vinCN_;

    Glycolysis.Cytosol cytosol(ACA.c.start = 0.00144828105756068, ADP.c.start = 0.00149852449954501, AMP.c.start = 0.000328955924373884, ATP.c.start = 0.00210251957609914, BPG.c.start = 2.67287084065691e-07, DHAP.c.start = 0.00288769273200455, EtOH.c.start = 0.0190593424962194, F6P.c.start = 0.000484545168822621, FBP.c.start = 0.00445423355478853, G6P.c.start = 0.0041485984481376, GAP.c.start = 0.000112715319212494, Glc.c.start = 0.000408104439625554, Glyc.c.start = 0.00410315601036817, NAD.c.start = 0.00065269734576556, NADH.c.start = 0.000327302654234445, PEP.c.start = 3.95029871250166e-05, Pyr.c.start = 0.00660292670710177) annotation(Placement(visible = true, transformation(origin = {-0.0, -0.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -720)));
    inner Real extracellular_V = V "Variable used to make the compartment volume accessible for inner components. Do not edit.";
    inner Real cytosol_V = cytosol.V "Variable used to make the compartment volume of inner compartments accessible. Do not edit.";
    Glycolysis.GlycolysisModel.GlcX_ GlcX(c(start = 0.00124447852699346, stateSelect = StateSelect.always)) "Extracellular glucose" annotation(Placement(visible = true, transformation(origin = {-50.0, 0.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -900)));
    Glycolysis.GlycolysisModel.EtOHX_ EtOHX(c(start = 0.016298701234492, stateSelect = StateSelect.always)) "Extracellular ethanol" annotation(Placement(visible = true, transformation(origin = {50.0, 40.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -630)));
    Glycolysis.GlycolysisModel.GlycX_ GlycX(c(start = 0.0016475055831994, stateSelect = StateSelect.always)) "Extracellular glycerol" annotation(Placement(visible = true, transformation(origin = {5.0, 50.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -990)));
    Glycolysis.GlycolysisModel.ACAX_ ACAX(c(start = 0.00125938487085539, stateSelect = StateSelect.always)) "Extracellular acetaldehyde" annotation(Placement(visible = true, transformation(origin = {50.0, -20.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -270)));
    Glycolysis.GlycolysisModel.CNX_ CNX(c(start = 0.00521187928765601, stateSelect = StateSelect.always)) "Extracellular cyanide" annotation(Placement(visible = true, transformation(origin = {90.0, -20.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -90)));
    Glycolysis.GlycolysisModel.CNX0_ CNX0(c(start = 5.6 / 1000, stateSelect = StateSelect.always)) "Mixed flow cyanide" annotation(Placement(visible = true, transformation(origin = {90.0, 20.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -180)));
    Glycolysis.GlycolysisModel.GlcX0_ GlcX0(c(stateSelect = StateSelect.always, start = 0.02)) "Mixed flow glucose" annotation(Placement(visible = true, transformation(origin = {-90.0, 0.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -180)));
    Glycolysis.GlycolysisModel.vinGlc_ vinGlc(k0 = 0.048 / 60) "Glucose Mixed flow to extracellular medium" annotation(Placement(visible = true, transformation(origin = {-70.0, 0.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -720)));
    Glycolysis.GlycolysisModel.vGlcTrans_ vGlcTrans(V2f = 1014.96 / 1000 / 60, V2r = 1014.96 / 1000 / 60, K2Glc = 1.7 / 1000, K2IG6P = 1.2 / 1000, K2IIG6P = 7.2 / 1000) "Glucose uptake" annotation(Placement(visible = true, transformation(origin = {-30.0, 0.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
    Glycolysis.GlycolysisModel.vdifEtOH_ vdifEtOH(k13 = 16.72 / 60) "Ethanol out" annotation(Placement(visible = true, transformation(origin = {30.0, 40.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
    Glycolysis.GlycolysisModel.voutEtOH_ voutEtOH(k0 = 0.048 / 60) "Ethanol flow" annotation(Placement(visible = true, transformation(origin = {50.0, 60.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -990)));
    Glycolysis.GlycolysisModel.vdifGlyc_ vdifGlyc(k16 = 1.9 / 60) "Glycerol out" annotation(Placement(visible = true, transformation(origin = {5.0, 30.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -270)));
    Glycolysis.GlycolysisModel.voutGlyc_ voutGlyc(k0 = 0.048 / 60) "Glycerol flow" annotation(Placement(visible = true, transformation(origin = {5.0, 70.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -990)));
    Glycolysis.GlycolysisModel.vdifACA_ vdifACA(k18 = 24.7 / 60) "Acetaldehyde out" annotation(Placement(visible = true, transformation(origin = {30.0, -20.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -720)));
    Glycolysis.GlycolysisModel.voutACA_ voutACA(k0 = 0.048 / 60) "Acetaldehyde flow" annotation(Placement(visible = true, transformation(origin = {50.0, -50.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -450)));
    Glycolysis.GlycolysisModel.vlacto_ vlacto(k20 = 0.00283828 * 1000 / 60) "Cyanide-Acetaldehyde flow" annotation(Placement(visible = true, transformation(origin = {70.0, -50.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -90)));
    Glycolysis.GlycolysisModel.vinCN_ vinCN(k0 = 0.048 / 60) "Cyanide flow" annotation(Placement(visible = true, transformation(origin = {90.0, -0.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -450)));
    BioChem.Substances.AmbientSubstance P1 annotation(Placement(visible = true, transformation(origin = {50.0, 80.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -180)));
    BioChem.Substances.AmbientSubstance P2 annotation(Placement(visible = true, transformation(origin = {5.0, 90.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -180)));
    BioChem.Substances.AmbientSubstance P3 annotation(Placement(visible = true, transformation(origin = {50.0, -75.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
    BioChem.Substances.AmbientSubstance P4 annotation(Placement(visible = true, transformation(origin = {70.0, -75.0}, extent = {{-10.0, -10.0}, {10.0, 10.0}}, rotation = -360)));
  equation
    connect(P4.n1, vlacto.p1) annotation(Line(visible = true, origin = {70, -68.125}, points = {{0, -6.875}, {0, 6.875}}, color = {26, 118, 164}));
    connect(P3.n1, voutACA.p1) annotation(Line(visible = true, origin = {50, -68.125}, points = {{0, -6.875}, {0, 6.875}}, color = {26, 118, 164}));
    connect(voutGlyc.p1, P2.n1) annotation(Line(visible = true, origin = {5, 85.625}, points = {{0, -4.375}, {0, 4.375}}, color = {26, 118, 164}));
    connect(voutEtOH.p1, P1.n1) annotation(Line(visible = true, origin = {50, 75.625}, points = {{0, -4.375}, {0, 4.375}}, color = {26, 118, 164}));
    connect(EtOHX.n1, voutEtOH.s1) annotation(Line(visible = true, origin = {50, 45.833}, points = {{0, -5.833}, {0, 2.917}, {-0, 2.917}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(GlycX.n1, vdifGlyc.p1) annotation(Line(visible = true, origin = {5, 44.167}, points = {{0, 5.833}, {0, -2.917}, {0, -2.917}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(GlycX.n1, voutGlyc.s1) annotation(Line(visible = true, origin = {5, 55.833}, points = {{0, -5.833}, {0, 2.917}, {-0, 2.917}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(EtOHX.n1, vdifEtOH.p1) annotation(Line(visible = true, origin = {47.083, 40}, points = {{2.917, 0}, {2.917, 0}, {-5.833, 0}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(cytosol.ACA_node, vdifACA.s1) annotation(Line(visible = true, origin = {15.312, -12.5}, points = {{-4.312, 7.5}, {0.438, 7.5}, {0.438, -7.5}, {3.438, -7.5}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ACAX.n1, vdifACA.p1) annotation(Line(visible = true, origin = {47.083, -20}, points = {{2.917, 0}, {2.917, 0}, {-5.833, 0}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(cytosol.EtOH_node, vdifEtOH.s1) annotation(Line(visible = true, origin = {15.312, 22.5}, points = {{-4.312, -17.5}, {0.438, -17.5}, {0.438, 17.5}, {3.438, 17.5}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(CNX0.n1, vinCN.s1) annotation(Line(visible = true, origin = {90, 14.167}, points = {{0, 5.833}, {0, -2.917}, {0, -2.917}}, color = {26, 118, 164}));
    connect(ACAX.n1, vlacto.s2) annotation(Line(visible = true, origin = {57.5, -32.562}, points = {{-7.5, 12.562}, {-7.5, -3.188}, {7.5, -3.188}, {7.5, -6.188}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(CNX.n1, vlacto.s1) annotation(Line(visible = true, origin = {82.5, -32.562}, points = {{7.5, 12.562}, {7.5, -3.188}, {-7.5, -3.188}, {-7.5, -6.188}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(ACAX.n1, voutACA.s1) annotation(Line(visible = true, origin = {50, -29.375}, points = {{0, 9.375}, {0, -9.375}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(CNX.n1, vinCN.p1) annotation(Line(visible = true, origin = {90, -14.167}, points = {{0, -5.833}, {0, 2.917}, {0, 2.917}}, color = {26, 118, 164}));
    connect(cytosol.G6P_node, vGlcTrans.m1) annotation(Line(visible = true, origin = {-17.5, 18.15}, points = {{12.5, -7.15}, {12.5, 1.85}, {-12.5, 1.85}, {-12.5, -8.15}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(cytosol.Glc_node, vGlcTrans.p1) annotation(Line(visible = true, origin = {-14.875, 0}, points = {{3.875, 0}, {-3.875, 0}}, color = {26, 118, 164}));
    connect(cytosol.Glyc_node, vdifGlyc.s1) annotation(Line(visible = true, origin = {5, 14.875}, points = {{0, -3.875}, {0, 3.875}}, color = {26, 118, 164}, smooth = Smooth.Bezier));
    connect(GlcX0.n1, vinGlc.s1) annotation(Line(visible = true, origin = {-87.083, 0}, points = {{-2.917, 0}, {-2.917, 0}, {5.833, 0}}, color = {26, 118, 164}));
    connect(GlcX.n1, vinGlc.p1) annotation(Line(visible = true, origin = {-52.917, 0}, points = {{2.917, 0}, {2.917, 0}, {-5.833, 0}}, color = {26, 118, 164}));
    connect(GlcX.n1, vGlcTrans.s1) annotation(Line(visible = true, origin = {-47.083, 0}, points = {{-2.917, 0}, {-2.917, 0}, {5.833, 0}}, color = {26, 118, 164}));
    annotation(experiment(StartTime = 0.0, StopTime = 10000, NumberOfIntervals = -1, __Wolfram_Algorithm = "dassl", Tolerance = 1e-09, __Wolfram_SynchronizeWithRealTime = false), __Wolfram(PlotSet(plots = {Plot(name = "CytosolATPConcentration", preferred = true, subPlots = {SubPlot(curves = {Curve(x = time, y = cytosol.ATP.c)})})})), preferredView = "info", Documentation(info = "<html><!--WSMINSERTIONTAGSTART ExampleModel -->
   <head>
   <style type=\"text/css\">
   
  body {
   padding: 0px;
   margin: 0px;
  }
  
  a {
   color: #cf1d24;
  }
  
  a.target {
   padding-top: 40px;
   margin-top: -40px;
  }
  
  p {
   font-family: arial;
   font-size: 13;
   margin: 9px 40px 5px 40px;
   padding-bottom: 0px;
   color: #555555;
   max-width: 800px;
  }
  
  h1 {
   font-size: 30;
   color: #cf1d24;
   font-weight: bold;
   margin-left: 20px;
   margin-top: 32px;
   margin-bottom: 15px;
   margin-right: 20px;
   padding-top: 0px;
  }
  
  h2 {
   font-size: 20;
   color: #cf1d24;
   font-weight: bold;
   margin-left: 20px;
   margin-right: 20px;
   margin-top: 5px;
   margin-bottom: 9px;
  }
  
  h3 {
   background: url('DocumentationFiles/dingbat3.png') no-repeat 0 0;
   font-size: 14px;
   font-family: helvetica;
   color: #4B4B4B;
   font-weight: bold;
   padding-left: 18px;
   margin-left: 20px;
   margin-right: 20px;
   margin-top: 12px;
   margin-bottom: 8px;
  }
  
  ul {
   font-family: arial;
   font-size: 13;
   margin: 9px 40px 5px 40px;
   padding-bottom: 0px;
   color: #555555;
   max-width: 800px;
   list-style-type: square;
  }
  
  li {
   margin-left: 0px;
   margin-top: 4px;
   margin-bottom: 2px;
   padding-left: 0px;
  }

  div.header {
   background: url('DocumentationFiles/WSMLogo.png') no-repeat 0 0;
   height: 96px;
   margin-top: 35px;
   background-color: #871613;
  }
  
  .headerspan {
   font-family: arial;
   text-decoration: none;
   font-size: 12px;
   font-weight: bold;
   display: inline-block;
   height: 35px;
   color: gray;
   padding: 0px;
   margin: 0px;
   margin-left: 20px;
  }
  
  .headera {
   font-family: arial;
   text-decoration: none;
   font-size: 12px;
   font-weight: bold;
   padding: 0px;
   color: inherit;
   vertical-align: middle;
   margin: 0px;
  }
  
  .headerlinkdiv {
   background: black;
   padding: 0px;
   height: 35px;
   margin: 0px;
   position: fixed; top: 0px; left: 0px; width: 100%;
  }
  
  .contenttable {
   -webkit-box-shadow: 3px 3px 3px #DDDDDD;
   border-top: 3px solid #cf1d24;
   background: #f9f9f9;
   max-width: 500px;
   margin: 15px 15px 0px 20px;
   padding: 6px 10px 3px 10px;
  }
  
  .contenttableheader {
   color: #a4a4a4;
   font-size: 14px;
   font-family: arial;
  }
  
  .contenttabletable {
   border: 0px solid #FFFFFF;
   padding: 0px;
   padding-left: 20px;
  }
  
  .contenttable tr td {
   padding: 3px;
   min-width: 200px;
  }
  
  .contenttable tr td a {
   color: #555555;
   text-decoration: none;
   font-size: 13px;
   font-family: arial;
  }
  
  .hacek {
   color: #cf1d24;
   font-size: 25px;
   font-weight: plain;
   vertical-align: -40%;
  }
  
  .mathematicapointerwrapper {
   border: 0px solid #DDDDDD;
   margin: 15px 15px 15px 40px;
   padding: 0px;
   max-width: 500px;
  }
  
  .mathematicapointertop {
   border: 1px solid #DDDDDD;
   background-color: #F2F2F2;
   padding: 0px;
   max-width: 500px;
   height: 4px;
  }
  
  .mathematicapointerdiv {
   background: url('./DocumentationFiles/mathematicabook.png') no-repeat  left center;
   border: 1px solid #DDDDDD;
   background-color: #FFFFFF;
   margin: 0px;
   padding: 15px 9px 9px 89px;
   max-width: 500px;
   min-height: 67px;
  }
  
  p.mathematicapointer {
   padding: 0px;
   margin: 0px;
   font-size: 12px;
  }
  
  .infoboxwrapper {
   border: 0px solid #DDDDDD;
   -webkit-box-shadow: 3px 3px 3px #DDDDDD;
   margin: 15px 15px 15px 40px;
   padding: 0px;
   max-width: 500px;
  }
  
  .infoboxtop {
   background: url('./DocumentationFiles/infotick.png') no-repeat left center;
   border: 1px solid #DDDDDD;
   background-color: #F2F2F2;
   padding: 0px;
   max-width: 500px;
   height: 37px;
  }
  
  div.infobox {
   border: 1px solid #DDDDDD;
   background-color: #FFFFFF;
   margin: 0px;
   padding: 15px;
   max-width: 500px;
  }
  
  p.infobox {
   padding: 0px;
   margin: 0px;
   font-size: 12px;
  }
  
  h2.legal {
   font-family: arial;
   font-size: 14;
   color: #cf1d24;
   margin: 15px 15px 15px 20px;
   font-weight: bold;
  }
  
  h3.legal {
   background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
   font-family: arial;
   font-size: 12;
   color: #808080;
   margin-left: 38px;
   padding-left: 12px;
   font-weight: bold;
  }
  
  ul.legal {
   font-size: 10px;
   font-family: arial;
   color: #555555;
   margin-left: 28px;
  }
  
  ul.legal li {
   margin-left: 0px;
   margin-top: 4px;
   margin-bottom: 2px;
   padding-left: 0px;
  }

  ul.imgbullets li {
   margin-left: -40px;
   margin-top: 4px;
   margin-bottom: 10px;
   padding-left: 30px;
   list-style-type: none;
  }
  
  p.legallarge {
   font-size: 12px;
   margin-left: 38px;
  }
  
  p.legalsmall {
   font-size: 11px;
   margin-left: 38px;
   padding-left: 12px;
  }
  
  .legalend {
   height: 10px;
  }
  
  .variablename {
   font-family: Courier New, Courier;
  }
  
  .dialogelement {
   font-weight: bold;
  }
  
  .menuitem {
   font-weight: bold;
  }
  
  .mr {
   font-family: Courier New, Courier;
  }
  
  .ttable {
	border-collapse: collapse;
    width: 100%;
	}

	.ttable td, th {
    border: 1px solid #dddddd;
    text-align: left;
	padding: 8px;
	}

	.ttable tr:nth-child(even) {
		background-color: #dddddd;
	}
  
   </style>
   </head>
   <body>
   
  <div class=\"headerlinkdiv\">
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
   padding-left: 24px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
   \"><a href=\"https://www.wolfram.com/system-modeler/examples/\" class=\"headera\">More Examples</a></span>
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
   padding-left: 29px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
   \"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
   padding-left: 20px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
   \"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
   padding-left: 24px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
   \"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
  </div> <div class=\"header\">&nbsp;</div> <h1>Glycolysis: Study Oscillations in Yeast Cells</h1><div class=\"contenttable\">
   <span class=\"contenttableheader\">CONTENTS:</span><br/>
   <table class=\"contenttabletable\"><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Introduction').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Introduction</a></td><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Simulation').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Simulation</a></td></tr></table></div><a id=\"headerTag_Introduction\" class=\"target\">&nbsp;</a>
    <h2>Introduction</h2>
    <p class=\"\">
This is the main model in this example, and it simulates glycolytic oscillations in <em>Saccharomyces cerevisiae</em> (yeast cells) as described in F. Hynne, S. Danø, and P. G. Sørensen, \"Full-Scale Model of Glycolysis in <em>Saccharomyces cerevisiae</em>,\" <em>Biophysical Chemistry</em>, <b>94</b>(1&ndash;2), 2001 pp. 121&ndash;163.
</p><p class=\"\">
The model has been imported from the <a href=\"http://www.ebi.ac.uk/biomodels-main\">BioModels Database</a> using the SBML importer in Wolfram SystemModeler and designed using the <a href=\"modelica://BioChem\">BioChem library</a>.
</p><div class=\"infoboxwrapper\">
   <div class=\"infoboxtop\">&nbsp;</div>
   <div class=\"infobox\">
   <p class=\"infobox\">
To import SBML models in Wolfram SystemModeler, the Systems Biology add-on needs to be enabled. To enable this add-on, open the options dialog box by choosing <span class=\"menuitem\">Tools</span> &#9654; <span class=\"menuitem\">Options</span>. The setting is located in the <span class=\"menuitem\">Global</span> &#9654; <span class=\"menuitem\">Add-On Products</span> view. Note that for the changes to have an effect after changing this setting, SystemModeler must be restarted.<br/><br/>More information on the Systems Biology add-on can be found under <span class=\"menuitem\">Help</span> &#9654; <span class=\"menuitem\">Systems Biology</span>.
</p></div>
   </div><p class=\"\">
View the <a href=\"modelica://Glycolysis.GlycolysisModel#diagram\">model diagram</a> for this model.
</p><a id=\"headerTag_Simulation\" class=\"target\">&nbsp;</a>
    <h2>Simulation</h2>
    <p class=\"\">
To simulate the model, follow the steps below:
</p><ul><li>Click the <img src=\"modelica://Glycolysis/DocumentationFiles/simCenter.png\" alt=\"simCenter\"/> button in the top-right corner.</li><li>When the build is finished, click the <span class=\"dialogelement\">Simulate</span> button <img src=\"modelica://Glycolysis/DocumentationFiles/simulate.png\" alt=\"simulate\"/>.</li></ul><p class=\"\">
In its default configuration, the model produces a stable limit cycle. Look at, for instance, the variable <span class=\"variablename\">cytosol.ATP.c</span> to study the oscillations. Plot the variable by expanding the tree in the <span class=\"dialogelement\">Plot</span> view in the Simulation Center. First expand the <span class=\"variablename\">cytosol</span> branch, then the <span class=\"variablename\">ATP</span> branch, and finally select the <span class=\"variablename\">c</span> variable by checking the box next to it.
</p><p class=\"\">
<img src=\"modelica://Glycolysis/DocumentationFiles/plotVariable.png\" alt=\"plotVariable\"/>
</p><p class=\"\">
The plot of the variable will appear in a plot window to the right.
</p><p class=\"\">
<img src=\"modelica://Glycolysis/DocumentationFiles/simulation1.png\" alt=\"simulation1\"/>
</p><p class=\"\">
To simulate the model on the other side of the bifurcation point, update the initial conditions of the model by choosing <span class=\"menuitem\">Tools</span> &#9654; <span class=\"menuitem\">Initialize</span> &#9654; <span class=\"menuitem\">From Experiment</span>. This sets the initial state for the next simulation to be the final state of the previous simulation.
</p><p class=\"\">
<img src=\"modelica://Glycolysis/DocumentationFiles/initialize.png\" alt=\"initialize\"/>
</p><p class=\"\">
Select your current experiment, for instance <span class=\"variablename\">GlycolysisModel 1</span>, and click <span class=\"dialogelement\">OK</span>.
</p><p class=\"\">
Finally, change the initial value of <span class=\"variablename\">GlcX0.c</span> from 0.020 to 0.0175 in the <span class=\"dialogelement\">Variables</span> tab in Simulation Center.
</p><p class=\"\">
<img src=\"modelica://Glycolysis/DocumentationFiles/simSettings.png\" alt=\"simSettings\"/>
</p><p class=\"\">
Simulating again, the variable <span class=\"variablename\">cytosol.ATP.c</span> will now converge back to a steady state.
</p><p class=\"\">
<img src=\"modelica://Glycolysis/DocumentationFiles/simulation2.png\" alt=\"simulation2\"/>
</p><p class=\"\">
As you can see, small changes in a bifurcation parameter can qualitatively change the oscillations of protein and molecule concentrations.
</p><h2 class=\"legal\"> <a href=\"#\" onclick=\"
   if(document.getElementById('legalSection').style.display == 'none'){
   document.getElementById('legalSection').style.display = 'block';
   document.getElementById('showlegalSection').style.display = 'none';
   document.getElementById('hidelegalSection').style.display = 'inline';
   } else {
   document.getElementById('legalSection').style.display = 'none';
   document.getElementById('showlegalSection').style.display = 'inline';
   document.getElementById('hidelegalSection').style.display = 'none';
   };
   return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"./DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"showlegalSection\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"./DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hidelegalSection\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
    <span id=\"legalSection\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
    <span id=\"legalSection\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
    <span id=\"legalSection\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
        <a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
        <a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
   </body>
   <!--WSMINSERTIONTAGEND ExampleModel --></html>", revisions = ""), Diagram(coordinateSystem(extent = {{-100.0, -100.0}, {100.0, 100.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {5, 5})), __MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000003\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0005576\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
  end GlycolysisModel;
  annotation(__MathCore(RDF = "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#metaid_0000002\">
      <dc:creator rdf:parseType=\"Resource\">
        <rdf:Bag>
          <rdf:li rdf:parseType=\"Resource\">
            <vCard:N rdf:parseType=\"Resource\">
              <vCard:Family>Snoep</vCard:Family>
              <vCard:Given>Jacky L</vCard:Given>
            </vCard:N>
            <vCard:EMAIL>jls@sun.ac.za</vCard:EMAIL>
            <vCard:ORG>
              <vCard:Orgname>Stellenbosh University</vCard:Orgname>
            </vCard:ORG>
          </rdf:li>
          <rdf:li rdf:parseType=\"Resource\">
            <vCard:N rdf:parseType=\"Resource\">
              <vCard:Family>Dharuri</vCard:Family>
              <vCard:Given>Harish</vCard:Given>
            </vCard:N>
            <vCard:EMAIL>hdharuri@cds.caltech.edu</vCard:EMAIL>
            <vCard:ORG>
              <vCard:Orgname>California Institute of Technology</vCard:Orgname>
            </vCard:ORG>
          </rdf:li>
        </rdf:Bag>
      </dc:creator>
      <dcterms:created rdf:parseType=\"Resource\">
        <dcterms:W3CDTF>2006-07-12T07:49:31Z</dcterms:W3CDTF>
      </dcterms:created>
      <dcterms:modified rdf:parseType=\"Resource\">
        <dcterms:W3CDTF>2010-02-02T17:16:29Z</dcterms:W3CDTF>
      </dcterms:modified>
      <bqmodel:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:biomodels.db:BIOMD0000000061\"/>
        </rdf:Bag>
      </bqmodel:is>
      <bqmodel:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:biomodels.db:MODEL6624167348\"/>
        </rdf:Bag>
      </bqmodel:is>
      <bqmodel:isDescribedBy>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:pubmed:11744196\"/>
        </rdf:Bag>
      </bqmodel:isDescribedBy>
      <bqbiol:isHomologTo>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:reactome:REACT_1383\"/>
        </rdf:Bag>
      </bqbiol:isHomologTo>
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0006096\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:taxonomy:4932\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.pathway:sce00010\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"), __Wolfram(openClass = Glycolysis.GlycolysisModel, useDocumentationTemplate = false), preferredView = "info", uses(Modelica(version = "3.2.3"), BioChem(version = "1.3.1")), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10, 10}), graphics = {Rectangle(visible = true, lineColor = {111, 0, 0}, fillColor = {255, 0, 0}, fillPattern = FillPattern.HorizontalCylinder, lineThickness = 4, extent = {{-90, -90}, {90, 90}}, radius = 25), Text(visible = true, origin = {12, 20.833}, textColor = {255, 255, 255}, extent = {{-102, -70.833}, {78, 29.167}}, textString = "Ex", fontName = "Arial")}), Documentation(info = "<html><!--WSMINSERTIONTAGSTART GlycolysisPackage -->
   <head>
   <style type=\"text/css\">
   
  body {
   padding: 0px;
   margin: 0px;
  }
  
  a {
   color: #cf1d24;
  }
  
  a.target {
   padding-top: 40px;
   margin-top: -40px;
  }
  
  p {
   font-family: arial;
   font-size: 13;
   margin: 9px 40px 5px 40px;
   padding-bottom: 0px;
   color: #555555;
   max-width: 800px;
  }
  
  h1 {
   font-size: 30;
   color: #cf1d24;
   font-weight: bold;
   margin-left: 20px;
   margin-top: 32px;
   margin-bottom: 15px;
   margin-right: 20px;
   padding-top: 0px;
  }
  
  h2 {
   font-size: 20;
   color: #cf1d24;
   font-weight: bold;
   margin-left: 20px;
   margin-right: 20px;
   margin-top: 5px;
   margin-bottom: 9px;
  }
  
  h3 {
   background: url('DocumentationFiles/dingbat3.png') no-repeat 0 0;
   font-size: 14px;
   font-family: helvetica;
   color: #4B4B4B;
   font-weight: bold;
   padding-left: 18px;
   margin-left: 20px;
   margin-right: 20px;
   margin-top: 12px;
   margin-bottom: 8px;
  }
  
  ul {
   font-family: arial;
   font-size: 13;
   margin: 9px 40px 5px 40px;
   padding-bottom: 0px;
   color: #555555;
   max-width: 800px;
   list-style-type: square;
  }
  
  li {
   margin-left: 0px;
   margin-top: 4px;
   margin-bottom: 2px;
   padding-left: 0px;
  }

  div.header {
   background: url('DocumentationFiles/WSMLogo.png') no-repeat 0 0;
   height: 96px;
   margin-top: 35px;
   background-color: #871613;
  }
  
  .headerspan {
   font-family: arial;
   text-decoration: none;
   font-size: 12px;
   font-weight: bold;
   display: inline-block;
   height: 35px;
   color: gray;
   padding: 0px;
   margin: 0px;
   margin-left: 20px;
  }
  
  .headera {
   font-family: arial;
   text-decoration: none;
   font-size: 12px;
   font-weight: bold;
   padding: 0px;
   color: inherit;
   vertical-align: middle;
   margin: 0px;
  }
  
  .headerlinkdiv {
   background: black;
   padding: 0px;
   height: 35px;
   margin: 0px;
   position: fixed; top: 0px; left: 0px; width: 100%;
  }
  
  .contenttable {
   -webkit-box-shadow: 3px 3px 3px #DDDDDD;
   border-top: 3px solid #cf1d24;
   background: #f9f9f9;
   max-width: 500px;
   margin: 15px 15px 0px 20px;
   padding: 6px 10px 3px 10px;
  }
  
  .contenttableheader {
   color: #a4a4a4;
   font-size: 14px;
   font-family: arial;
  }
  
  .contenttabletable {
   border: 0px solid #FFFFFF;
   padding: 0px;
   padding-left: 20px;
  }
  
  .contenttable tr td {
   padding: 3px;
   min-width: 200px;
  }
  
  .contenttable tr td a {
   color: #555555;
   text-decoration: none;
   font-size: 13px;
   font-family: arial;
  }
  
  .hacek {
   color: #cf1d24;
   font-size: 25px;
   font-weight: plain;
   vertical-align: -40%;
  }
  
  .mathematicapointerwrapper {
   border: 0px solid #DDDDDD;
   margin: 15px 15px 15px 40px;
   padding: 0px;
   max-width: 500px;
  }
  
  .mathematicapointertop {
   border: 1px solid #DDDDDD;
   background-color: #F2F2F2;
   padding: 0px;
   max-width: 500px;
   height: 4px;
  }
  
  .mathematicapointerdiv {
   background: url('./DocumentationFiles/mathematicabook.png') no-repeat  left center;
   border: 1px solid #DDDDDD;
   background-color: #FFFFFF;
   margin: 0px;
   padding: 15px 9px 9px 89px;
   max-width: 500px;
   min-height: 67px;
  }
  
  p.mathematicapointer {
   padding: 0px;
   margin: 0px;
   font-size: 12px;
  }
  
  .infoboxwrapper {
   border: 0px solid #DDDDDD;
   -webkit-box-shadow: 3px 3px 3px #DDDDDD;
   margin: 15px 15px 15px 40px;
   padding: 0px;
   max-width: 500px;
  }
  
  .infoboxtop {
   background: url('./DocumentationFiles/infotick.png') no-repeat left center;
   border: 1px solid #DDDDDD;
   background-color: #F2F2F2;
   padding: 0px;
   max-width: 500px;
   height: 37px;
  }
  
  div.infobox {
   border: 1px solid #DDDDDD;
   background-color: #FFFFFF;
   margin: 0px;
   padding: 15px;
   max-width: 500px;
  }
  
  p.infobox {
   padding: 0px;
   margin: 0px;
   font-size: 12px;
  }
  
  h2.legal {
   font-family: arial;
   font-size: 14;
   color: #cf1d24;
   margin: 15px 15px 15px 20px;
   font-weight: bold;
  }
  
  h3.legal {
   background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
   font-family: arial;
   font-size: 12;
   color: #808080;
   margin-left: 38px;
   padding-left: 12px;
   font-weight: bold;
  }
  
  ul.legal {
   font-size: 10px;
   font-family: arial;
   color: #555555;
   margin-left: 28px;
  }
  
  ul.legal li {
   margin-left: 0px;
   margin-top: 4px;
   margin-bottom: 2px;
   padding-left: 0px;
  }

  ul.imgbullets li {
   margin-left: -40px;
   margin-top: 4px;
   margin-bottom: 10px;
   padding-left: 30px;
   list-style-type: none;
  }
  
  p.legallarge {
   font-size: 12px;
   margin-left: 38px;
  }
  
  p.legalsmall {
   font-size: 11px;
   margin-left: 38px;
   padding-left: 12px;
  }
  
  .legalend {
   height: 10px;
  }
  
  .variablename {
   font-family: Courier New, Courier;
  }
  
  .dialogelement {
   font-weight: bold;
  }
  
  .menuitem {
   font-weight: bold;
  }
  
  .mr {
   font-family: Courier New, Courier;
  }
  
  .ttable {
	border-collapse: collapse;
    width: 100%;
	}

	.ttable td, th {
    border: 1px solid #dddddd;
    text-align: left;
	padding: 8px;
	}

	.ttable tr:nth-child(even) {
		background-color: #dddddd;
	}
  
   </style>
   </head>
   <body>
   
  <div class=\"headerlinkdiv\">
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
   padding-left: 24px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
   \"><a href=\"https://www.wolfram.com/system-modeler/examples/\" class=\"headera\">More Examples</a></span>
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
   padding-left: 29px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
   \"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
   padding-left: 20px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
   \"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>
  
   <span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
   padding-left: 24px;
   \"
   onmouseover=\"
   	this.style.color = 'white';
   	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
   \"
   onmouseout=\"
   	this.style.color = 'gray';
   	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
   \"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
  </div> <div class=\"header\">&nbsp;</div> <h1>Glycolysis: Study Oscillations in Yeast Cells</h1><a id=\"headerTag_PackageOverview\" class=\"target\">&nbsp;</a>
    <h2>Package Overview</h2>
    <p class=\"\">
This is a package containing the following models:
</p><ul><li><a href=\"modelica://Glycolysis.GlycolysisModel#diagram\">GlycolysisModel</a>: main model of the glycolysis (<a href=\"modelica://Glycolysis.GlycolysisModel\">show documentation</a>)</li><li><a href=\"modelica://Glycolysis.Cytosol#diagram\">Cytosol</a>: cytosolic compartment of the glycolysis model (<a href=\"modelica://Glycolysis.Cytosol\">show documentation</a>)</li></ul><h2 class=\"legal\"> <a href=\"#\" onclick=\"
   if(document.getElementById('legalSection').style.display == 'none'){
   document.getElementById('legalSection').style.display = 'block';
   document.getElementById('showlegalSection').style.display = 'none';
   document.getElementById('hidelegalSection').style.display = 'inline';
   } else {
   document.getElementById('legalSection').style.display = 'none';
   document.getElementById('showlegalSection').style.display = 'inline';
   document.getElementById('hidelegalSection').style.display = 'none';
   };
   return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"./DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"showlegalSection\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"./DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hidelegalSection\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
    <span id=\"legalSection\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
    <span id=\"legalSection\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
    <span id=\"legalSection\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
        <a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
        <a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
   </body>
   <!--WSMINSERTIONTAGEND GlycolysisPackage --></html>", revisions = ""));
end Glycolysis;